#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Library for reading and converting ClarisWorks, MacWrite, WriteNow word processor documents
Summary(pl.UTF-8):	Biblioteka do odczytu i konwersji dokumentów tekstowych ClarisWorks, MacWrite i WriteNow
Name:		libmwaw
Version:	0.3.22
Release:	1
License:	MPL v2.0 or LGPL v2+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/libmwaw/%{name}-%{version}.tar.xz
# Source0-md5:	96d7aff42afeb8ad13806a9b954291eb
URL:		https://sourceforge.net/projects/libmwaw/
BuildRequires:	doxygen
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading and converting ClarisWorks, MacWrite, WriteNow
word processor documents.

%description -l pl.UTF-8
Biblioteka do odczytu i konwersji dokumentów tekstowych pochodzących z
procesorów tekstu ClarisWorks, MacWrite i WriteNow.

%package devel
Summary:	Header files for libmwaw
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmwaw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for libmwaw.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmwaw.

%package static
Summary:	Static libmwaw library
Summary(pl.UTF-8):	Statyczna biblioteka libmwaw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmwaw library.

%description static -l pl.UTF-8
Statyczna biblioteka libmwaw.

%package apidocs
Summary:	libmwaw API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmwaw
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libmwaw library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmwaw.

%package tools
Summary:	Tools to transform Macintosh documents into other formats
Summary(pl.UTF-8):	Programy przekształcania dokumentów z Macintosha do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform ClarisWorks, MacWrite, WriteNow word processor
documents into other formats.

%description tools -l pl.UTF-8
Narzędzia do przekształcania dokumentów tekstowych z procesorów tekstu
ClarisWorks, MacWrite i WriteNow do innych formatów.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README
%attr(755,root,root) %{_libdir}/libmwaw-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmwaw-0.3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmwaw-0.3.so
%{_includedir}/libmwaw-0.3
%{_pkgconfigdir}/libmwaw-0.3.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmwaw-0.3.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mwaw2csv
%attr(755,root,root) %{_bindir}/mwaw2html
%attr(755,root,root) %{_bindir}/mwaw2raw
%attr(755,root,root) %{_bindir}/mwaw2svg
%attr(755,root,root) %{_bindir}/mwaw2text
%attr(755,root,root) %{_bindir}/mwawFile
%attr(755,root,root) %{_bindir}/mwawZip
%changelog
* Thu May 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmwaw.git;a=log;h=master

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 7d3b7c8
- updated to 0.3.22

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> f302c8f
- updated to 0.3.21

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 941c134
- rpm version for noarch subpackages

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> cdfe7da
- updated to 0.3.20

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> c100c13
- unconditional noarch subpackages

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> d20896b
- updated to 0.3.17

* Thu May 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 787aaf8
- updated to 0.3.16

* Wed May 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 98ec9c9
- updated to 0.3.15

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 14a6d2e
- now C++ 11 is the only option

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a2a5861
- up to 0.3.14

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> cb8ce1e
- up to 0.3.13

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 7770916
- updated to 0.3.12

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 432052f
- updated to 0.3.11

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 6fc9d03
- updated to 0.3.8

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 3a76fe7
- updated to 0.3.7

* Sun Sep 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 6734a2d
- updated to 0.3.6

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 075c573
- updated to 0.3.5

* Thu Feb 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 656013b
- updated to 0.3.4
- switch shared_ptr impl from boost to C++11

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> c786c3d
- updated to 0.3.3

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8d3225
- up to 0.3.2

